test: _NONOPAQUE_OPLOCK struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _NONOPAQUE_OPLOCK Struct Reference

`#include <fsrtllks.h>`

List of all members.

## Public Attributes

PIRP | IrpExclusiveOplock
PFILE_OBJECT | FileObject
LIST_ENTRY | IrpOplocksII
LIST_ENTRY | WaitingIrps
OPLOCK_STATE | OplockState
PFAST_MUTEX | FastMutex
_OPFILTER_TIMER * | OpFilter
ULONG | TimerCount

## Member Data Documentation

PFAST_MUTEX _NONOPAQUE_OPLOCK::FastMutex

| Definition at line 243 of file fsrtllks.h. Referenced by FsRtlAllocateOplock(), FsRtlCancelExclusiveIrp(), FsRtlCancelOplockIIIrp(), FsRtlCancelWaitIrp(), FsRtlRequestExclusiveOplock(), FsRtlRequestOplockII(), and FsRtlUninitializeOplock().

PFILE_OBJECT _NONOPAQUE_OPLOCK::FileObject

| Definition at line 217 of file fsrtllks.h. Referenced by FsRtlCancelExclusiveIrp(), FsRtlCheckOplock(), FsRtlRequestExclusiveOplock(), and FsRtlUninitializeOplock().

PIRP _NONOPAQUE_OPLOCK::IrpExclusiveOplock

| Definition at line 210 of file fsrtllks.h. Referenced by FsRtlCancelExclusiveIrp(), FsRtlRequestExclusiveOplock(), and FsRtlUninitializeOplock().

LIST_ENTRY _NONOPAQUE_OPLOCK::IrpOplocksII

| Definition at line 224 of file fsrtllks.h. Referenced by FsRtlAllocateOplock(), FsRtlCancelOplockIIIrp(), FsRtlRequestExclusiveOplock(), FsRtlRequestOplockII(), and FsRtlUninitializeOplock().

struct _OPFILTER_TIMER* _NONOPAQUE_OPLOCK::OpFilter

| Definition at line 249 of file fsrtllks.h.

OPLOCK_STATE _NONOPAQUE_OPLOCK::OplockState

| Definition at line 237 of file fsrtllks.h. Referenced by FsRtlAllocateOplock(), FsRtlCancelExclusiveIrp(), FsRtlCancelOplockIIIrp(), FsRtlCheckOplock(), FsRtlRequestExclusiveOplock(), and FsRtlRequestOplockII().

ULONG _NONOPAQUE_OPLOCK::TimerCount

| Definition at line 255 of file fsrtllks.h.

LIST_ENTRY _NONOPAQUE_OPLOCK::WaitingIrps

| Definition at line 231 of file fsrtllks.h. Referenced by FsRtlAllocateOplock(), FsRtlCancelExclusiveIrp(), FsRtlCancelWaitIrp(), and FsRtlUninitializeOplock().

The documentation for this struct was generated from the following files:

- oplock.c
- fsrtllks.h